/*************************************************************************
  FILE:  BddSdMain.h
  DESCR: Header file for BddSdMain.cpp
  AUTH:  Raoguang Song, Yu Wang
  DATE:  (C) Jan, 2006, 2009
*************************************************************************/

#ifndef _BDDSDMAIN_H_
#define _BDDSDMAIN_H_


#include  <QString>
#include "DesProject.h"
// new
#include "BddSdChkInfo.h"


namespace BDDSD
{

  
// int BddSdMain(DESpot::DesProject& DESpotProj);

int BddSdCheckSDAll(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckNB(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckCtrl(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

// this function should not be called as it is not yet implemented.
// int BddSdCheckTCtrl(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckSDCtrl(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckPTB(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckSSingP(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckPCmplt(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckALF(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

int BddSdCheckNBCtrl(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);

// this function should not be called as it is not yet implemented.
// int BddSdCheckNBTCtrl(DESpot::DesProject& DESpotProj, SD_ChkInfo& checkInfo);




// int getchoice(bool bPrjLoaded, const char *prjfile);
// char getkeystroke(char *allowed_choices, int len);


// int getchoice_tracetype();

} //end of namespace BDDSD

#endif  // _BDDSDMAIN_H_
